Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 301969 - Many Perl module LICENSEs need to be || GPL-1-or-later
Summary: Many Perl module LICENSEs need to be || GPL-1-or-later
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor with 1 vote (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
: 302562 302710 (view as bug list)
Depends on:
Blocks: perl-license
  Show dependency tree
 
Reported: 2010-01-23 19:58 UTC by Luke-Jr
Modified: 2020-05-06 09:18 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Artistic only packages (perl-artistic-only.txt,3.65 KB, text/plain)
2010-02-03 10:09 UTC, Torsten Veller (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2010-01-23 19:58:15 UTC
Currently, libnet's LICENSE field is only Artistic (non-free), but libnet's actual license states it is distributable under the same terms as Perl, which is || ( Artistic GPL-2 )
Comment 1 Luke-Jr 2010-01-23 20:18:23 UTC
This also applies to many other Perl modules, including:

dev-perl/XML-LibXML-1.66-r1
dev-perl/MP3-Info-1.23
dev-perl/List-MoreUtils-0.21
perl-core/libnet-1.22
dev-perl/MIME-tools-5.427
dev-perl/XML-SAX-0.16
dev-perl/IO-String-1.08
dev-perl/Unicode-String-2.09
dev-perl/HTML-Tagset-3.10
dev-perl/Authen-SASL-2.12
dev-perl/Locale-gettext-1.05-r1
dev-perl/XML-SimpleObject-0.53
dev-perl/XML-Parser-2.36
dev-perl/IO-stringy-2.110
dev-perl/perl-tk-804.028-r2
dev-perl/MailTools-1.77

Also, it is GPL-1 or newer, not GPL-2 or newer...
Comment 2 Luke-Jr 2010-01-23 20:22:49 UTC
License hidden in .pm file for these:

dev-perl/XML-NamespaceSupport-1.09
dev-perl/IO-Multiplex-1.09
Comment 3 Torsten Veller (RETIRED) gentoo-dev 2010-01-28 06:37:52 UTC
*** Bug 302562 has been marked as a duplicate of this bug. ***
Comment 4 Andrew John Hughes 2010-01-28 17:10:23 UTC
Please fix this, it stops a number of packages from now being emerged.
Comment 5 Torsten Veller (RETIRED) gentoo-dev 2010-01-28 17:53:55 UTC
So how do we express: 
GPL, "either version 1, or (at your option) any later version"?

|| ( GPL-1 GPL-2 GPL-3 ). Do I have to check every LICENSE after >GPL-3 is published?
Comment 6 Hanno Böck gentoo-dev 2010-01-28 17:58:36 UTC
Just a quick note, artistic is not non-free it's a perfect free software license, just gpl-incompatible.

For the gplvX or above: we don't have such a feature, adding || (GPL-1 GPL-2 GPL-3) is the best we can do for now. We had the discussion on -dev, but it's probably quite non-trivial, so for now we should go with the ||-solution.
Comment 7 Torsten Veller (RETIRED) gentoo-dev 2010-01-28 18:17:33 UTC
(In reply to comment #6)
> For the gplvX or above: we don't have such a feature, adding || (GPL-1 GPL-2
> GPL-3) is the best we can do for now. We had the discussion on -dev, but it's
> probably quite non-trivial, so for now we should go with the ||-solution.

If we only could use license groups in LICENSE...

So I use the ||-solution and leave a comment in the ebuilds.

Thanks
Comment 8 Luke-Jr 2010-01-28 19:25:30 UTC
Artistic *is* non-Free, since it restricts commercial redistribution.

I seem to recall seeing a 'GPL-2-or-later' license at one point, though it appears to be gone now. Perhaps adding a 'GPL-1-or-later' license file would make sense and using '|| ( GPL-1 GPL-1-or-later )'?
Comment 9 Andrew John Hughes 2010-01-28 22:22:42 UTC
Artistic is non-Free: see http://www.fsf.org/licensing/licenses/index_html#ArtisticLicense
Comment 10 Andrew John Hughes 2010-01-28 22:26:00 UTC
As to the GPL issue, I think adding GPL-x-or-later alternatives would be better to make it clear that the license is a particular version of the GPL with the or later clause intact; it is a different license to the one used by e.g. Linux where the later clause has been removed. The main issue is that most ebuilds will probably need to switch to the -or-later version to truly reflect the license of the package.
Comment 11 Hanno Böck gentoo-dev 2010-01-28 23:28:49 UTC
That with artistic being non-free is a valuable info - we have it in OSI-approved, but it seems that's wrong. On the osi-page, only artistic-2.0 is listed. I'll remove it from the set. We should probably re-check the OSI-approved list in license_groups.
Comment 12 Luke-Jr 2010-01-29 00:34:50 UTC
FWIW, my overlay (luke-jr) contains a license group LUKEDASHJR with licenses I have personally reviewed and verified to be free. Notably, it does NOT include a certain non-free font license that both OSI and FSF appear to tolerate.
Comment 13 William Throwe 2010-01-29 03:23:18 UTC
*** Bug 302710 has been marked as a duplicate of this bug. ***
Comment 14 William Throwe 2010-01-29 03:29:44 UTC
Also
dev-perl/HTML-Tree

(In reply to comment #11)
> That with artistic being non-free is a valuable info - we have it in
> OSI-approved, but it seems that's wrong. On the osi-page, only artistic-2.0 is
> listed. I'll remove it from the set. We should probably re-check the
> OSI-approved list in license_groups.
> 

No, Artistic is OSI-approved.  See
http://www.opensource.org/licenses/artistic-license-1.0.php
Comment 15 Ulrich Müller gentoo-dev 2010-01-29 05:44:55 UTC
(In reply to comment #14)
> No, Artistic is OSI-approved.  See
> http://www.opensource.org/licenses/artistic-license-1.0.php

Re-added. OSI-APPROVED is an objective criterion, therefore we need not decide ourselves if the license is free or not.
Comment 16 Ulrich Müller gentoo-dev 2010-01-29 05:55:00 UTC
(In reply to comment #12)
> FWIW, my overlay (luke-jr) contains a license group LUKEDASHJR with licenses I
> have personally reviewed and verified to be free. Notably, it does NOT include
> a certain non-free font license that both OSI and FSF appear to tolerate.

Could you file a bug if your group contains licenses that we should add to (or remove from) our groups?
Comment 17 Torsten Veller (RETIRED) gentoo-dev 2010-01-29 07:27:49 UTC
(In reply to comment #1)
> perl-core/libnet-1.22

libnetFAQ.pod (<http://search.cpan.org/~gbarr/libnet-1.22/Net/libnetFAQ.pod>) " is free; you can redistribute it and/or modify it under the terms of the Artistic License". It is also part of dev-lang/perl.
Comment 18 Luke-Jr 2010-01-29 07:54:45 UTC
(In reply to comment #16)
> (In reply to comment #12)
> > FWIW, my overlay (luke-jr) contains a license group LUKEDASHJR with licenses I
> > have personally reviewed and verified to be free. Notably, it does NOT include
> > a certain non-free font license that both OSI and FSF appear to tolerate.
> 
> Could you file a bug if your group contains licenses that we should add to (or
> remove from) our groups?

AFAIK, the official Gentoo license groups are objective criterion like OSI and FSF approved... My group is strictly licenses that I have read and subjectively interpret as free licenses. Gentoo is welcome to mirror it, but it really reflects nothing other than my personal judgement.

(In reply to comment #17)
> (In reply to comment #1)
> > perl-core/libnet-1.22
> 
> libnetFAQ.pod (<http://search.cpan.org/~gbarr/libnet-1.22/Net/libnetFAQ.pod>) "
> is free; you can redistribute it and/or modify it under the terms of the
> Artistic License". It is also part of dev-lang/perl.

README ( http://search.cpan.org/src/GBARR/libnet-1.22/README ) trumps FAQ?
> COPYRIGHT
> 
>   (C) 1996-2007 Graham Barr. All rights reserved.
> 
> This library is free software; you can redistribute it and/or modify
> it under the same terms as Perl itself.
Comment 19 Torsten Veller (RETIRED) gentoo-dev 2010-01-29 08:06:52 UTC
> (In reply to comment #17)
> > (In reply to comment #1)
> > > perl-core/libnet-1.22
> > 
> > libnetFAQ.pod (<http://search.cpan.org/~gbarr/libnet-1.22/Net/libnetFAQ.pod>) "
> > is free; you can redistribute it and/or modify it under the terms of the
> > Artistic License". It is also part of dev-lang/perl.
> 
> README ( http://search.cpan.org/src/GBARR/libnet-1.22/README ) trumps FAQ?
> > COPYRIGHT
> > 
> >   (C) 1996-2007 Graham Barr. All rights reserved.
> > 
> > This library is free software; you can redistribute it and/or modify
> > it under the same terms as Perl itself.

Probably through an oversight. It should be fixed upstream.
Comment 20 Torsten Veller (RETIRED) gentoo-dev 2010-01-29 12:24:26 UTC
I choose || ( Artistic GPL-2) for dev-perl/libvorbis-perl:

<http://cpansearch.perl.org/src/FOOF/libvorbis-perl-0.05/debian/copyright>:
| This library is Free Software; you can redistribute it and/or modify
| it under the same terms as Perl itself, either the GPLv2 or the
| Artistic License.
Comment 21 Torsten Veller (RETIRED) gentoo-dev 2010-02-03 06:35:04 UTC
+  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> Log-Agent-0.307.ebuild:
+  Remove LICENSE so it takes the correct from perl-module.eclass.

Why? It only mentions the Artistic license.

+  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> libnet-1.22.ebuild:
+  Remove wrong LICENSE so it takes the one from perl-module.eclass.

The license in comment 17 doesn't matter?

+  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> perl-tk-804.028-r2.ebuild,
+  perl-tk-804.028-r3.ebuild:
+  Remove LICENSE so it takes the correct from perl-module.eclass.

perl-tk bundles a lot of tk stuff with different licenses.

+  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> AtExit-2.01.ebuild:
+  Remove LICENSE so it takes the correct from perl-module.eclass.

| COPY/REUSE POLICY
| =================
| Copyright (C) 1996 Andrew Langmead. All rights reserved.
|
| AtExit is free software; you can redistribute it and/or modify it
| under the terms of the Artistic License distributed with Perl version
| 5.000 or (at your option) any later version. Please refer to the
| Artistic License that came with your Perl distribution for more
| details.
Comment 22 Hanno Böck gentoo-dev 2010-02-03 09:11:50 UTC
Ok, libnet and AtExit seem to have ambigious licenses, trying to clear that up with upstream. I was just grepping for the "perl itself"-clause and was happy when I found it, probably too fast.

For tk, it's BSD-licensed, which "should" be compatible with all GPL1/2/3/Artistic, so this should be ok (?).

For Log-Agent, I probably did a mistake.

Gimme a day or so to get on some upstreams.
Comment 23 Torsten Veller (RETIRED) gentoo-dev 2010-02-03 10:09:25 UTC
Created attachment 218279 [details]
Artistic only packages

(In reply to comment #22)
> I was just grepping for the "perl itself"-clause and was happy
> when I found it, probably too fast.

Attached is a list of dev-perl packages which only list the Artistic license.
(It does not list packages where a later version has a different license.)

I think we should only close this bug after we reviewed all of them.

> For tk, it's BSD-licensed, which "should" be compatible with all
> GPL1/2/3/Artistic, so this should be ok (?).

http://cpansearch.perl.org/src/SREZIC/Tk-804.028/pTk/license.terms
http://cpansearch.perl.org/src/SREZIC/Tk-804.028/pTk/Tix.license
http://cpansearch.perl.org/src/SREZIC/Tk-804.028/pTk/license.html_lib

Latest version (<http://search.cpan.org/~srezic/Tk-804.028_502/>) has "license: unrestricted" in META.yml which translates in CPAN to: "The distribution is licensed under a license that is not approved by www.opensource.org but that allows distribution without restrictions"
Comment 24 Hanno Böck gentoo-dev 2010-02-03 10:18:38 UTC
Sorry again, I didn't want to close this bug, seems I'm a bit confused at the moment...
Comment 25 Torsten Veller (RETIRED) gentoo-dev 2010-02-04 20:41:24 UTC
dev-perl/Mail-Sender:
| the same terms as Perl itself with only one exception, you are not allowed
| to use the module for SPAM.
Comment 26 Ulrich Müller gentoo-dev 2010-02-04 20:52:11 UTC
(In reply to comment #25)
> dev-perl/Mail-Sender:
> | the same terms as Perl itself with only one exception, you are not allowed
> | to use the module for SPAM.

Stupid clause, it makes the package non-free.

"The freedom to run the program means the freedom for any kind of person or organization to use it on any kind of computer system, for any kind of overall job and purpose, without being required to communicate about it with the developer or any other specific entity. In this freedom, it is the user's purpose that matters, not the developer's purpose; you as a user are free to run the program for your purposes, and if you distribute it to someone else, she is then free to run it for her purposes, but you are not entitled to impose your purposes on her."
Comment 27 Ulrich Müller gentoo-dev 2010-02-08 21:13:04 UTC
dev-perl/X11-Protocol:
"same terms as Perl itself" except for file Keysyms.pm which is under the MIT/X11 license. So "|| ( Artistic GPL-1 GPL-2 GPL-3 ) MIT" should be appropriate.
Comment 28 Ulrich Müller gentoo-dev 2010-02-14 17:32:55 UTC
(In reply to comment #25)
> dev-perl/Mail-Sender:
> | the same terms as Perl itself with only one exception, you are not allowed
> | to use the module for SPAM.

Debian folks are sorting things out with upstream:
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568652>
Comment 29 Torsten Veller (RETIRED) gentoo-dev 2010-02-16 14:08:23 UTC
http://cpansearch.perl.org/src/DPARIS/Crypt-Blowfish-2.11a/COPYRIGHT

Do I have to add a new license/ for dev-perl/Crypt-Blowfish?
Comment 30 Ulrich Müller gentoo-dev 2010-02-16 16:26:45 UTC
(In reply to comment #29)
> http://cpansearch.perl.org/src/DPARIS/Crypt-Blowfish-2.11a/COPYRIGHT
> Do I have to add a new license/ for dev-perl/Crypt-Blowfish?

This is basically identical with licenses/DES, except for the copyright holder being different. So I would just use DES for it. (We could convert it into a template, i.e. replace any names by a general <copyright holder>).
Comment 31 Hanno Böck gentoo-dev 2010-02-21 19:19:23 UTC
For Mail-Sender, upstream refused to change his licensing terms and debian moved it into nonfree. I've added a Mail-Sender license file and set it in the ebuild.
Comment 32 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-02-21 19:21:31 UTC
(In reply to comment #31)
> For Mail-Sender, upstream refused to change his licensing terms and debian
> moved it into nonfree. I've added a Mail-Sender license file and set it in the
> ebuild.
Which license group should we put it in?

Comment 33 Luke-Jr 2010-02-21 19:28:14 UTC
Looks like @EULA (restricts usage) and @BINARY-REDISTRIBUTABLE (distribution is unrestricted) to me...
Comment 34 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-02-21 19:31:18 UTC
The license doesn't require explicit acceptance, so I'm not sure that @EULA is right.
Comment 35 Ulrich Müller gentoo-dev 2010-02-21 19:39:04 UTC
To have it in @EULA looks wrong to me. It also can't be in @FREE or any subgroup of it.
Comment 36 Luke-Jr 2010-02-21 20:46:55 UTC
Arguably, no EULAs are legally valid. I see no reason Mail::Sender's would be any different from other EULAs.
Comment 37 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-02-21 20:59:00 UTC
(In reply to comment #36)
> Arguably, no EULAs are legally valid. I see no reason Mail::Sender's would be
> any different from other EULAs.
@EULA in Gentoo has been licenses that require explicit approval. I'm not going to debate if the licenses themselves are valid.

The Mail::Sender license is definitely open-source, but not libre or DFSG-free. I think it SHOULD be in the @FREE groups.
Comment 38 Ulrich Müller gentoo-dev 2010-02-21 21:16:54 UTC
(In reply to comment #37)
> The Mail::Sender license is definitely open-source, but not libre or DFSG-free.
> I think it SHOULD be in the @FREE groups.

It fulfills neither the Free Software Definition (see comment #26) nor the Open Source Definition at <http://www.opensource.org/docs/osd> because of "6. No Discrimination Against Fields of Endeavor".

Yes, it _is_ stupid in the concrete case, but do you really want to open this can of worms and start adding exceptions?
Comment 39 Andreas K. Hüttel gentoo-dev 2014-12-01 21:02:55 UTC
NOTE: if an ebuild inherits perl-module.eclass and does not specify LICENSE, it now defaults to 
|| ( Artistic GPL-1+ )
which is the Perl license.

(In reply to Luke-Jr from comment #0)
> Currently, libnet's LICENSE field is only Artistic (non-free), but libnet's
> actual license states it is distributable under the same terms as Perl,
> which is || ( Artistic GPL-2 )
Long fixed.

(In reply to Luke-Jr from comment #1)
> This also applies to many other Perl modules, including:
> 
> dev-perl/XML-LibXML-1.66-r1
Long fixed.

> dev-perl/MP3-Info-1.23
Long fixed.

> dev-perl/List-MoreUtils-0.21
Long fixed.

> perl-core/libnet-1.22
Long fixed.

> dev-perl/MIME-tools-5.427
Long fixed.

> dev-perl/XML-SAX-0.16
Long fixed.

> dev-perl/IO-String-1.08
Long fixed.

> dev-perl/Unicode-String-2.09
Long fixed.

> dev-perl/HTML-Tagset-3.10
Long fixed.

> dev-perl/Authen-SASL-2.12
Long fixed.

> dev-perl/Locale-gettext-1.05-r1
Long fixed.

> dev-perl/XML-SimpleObject-0.53
Long fixed.

> dev-perl/XML-Parser-2.36
Long fixed.

> dev-perl/IO-stringy-2.110
Long fixed.

> dev-perl/perl-tk-804.028-r2
Incorrect, special terms apply.

> dev-perl/MailTools-1.77
Long fixed.


(In reply to Luke-Jr from comment #2)
> License hidden in .pm file for these:
> 
> dev-perl/XML-NamespaceSupport-1.09
Long fixed.

> dev-perl/IO-Multiplex-1.09
Long fixed.


(In reply to William Throwe from comment #14)
> Also
> dev-perl/HTML-Tree
Long fixed.

Everything up to comment #14 is handled. :/
Comment 40 Andreas K. Hüttel gentoo-dev 2016-12-26 21:15:56 UTC
(In reply to Torsten Veller (RETIRED) from comment #19)
> > (In reply to comment #17)
> > > (In reply to comment #1)
> > > > perl-core/libnet-1.22
> > > 
> > > libnetFAQ.pod (<http://search.cpan.org/~gbarr/libnet-1.22/Net/libnetFAQ.pod>) "
> > > is free; you can redistribute it and/or modify it under the terms of the
> > > Artistic License". It is also part of dev-lang/perl.
> > 
> > README ( http://search.cpan.org/src/GBARR/libnet-1.22/README ) trumps FAQ?
> > > COPYRIGHT
> > > 
> > >   (C) 1996-2007 Graham Barr. All rights reserved.
> > > 
> > > This library is free software; you can redistribute it and/or modify
> > > it under the same terms as Perl itself.
> 
> Probably through an oversight. It should be fixed upstream.

libnet clearly states now "license = perl5", and this is also reflected in Gentoo.

Everything up to and including comment #19 handled.
Comment 41 Andreas K. Hüttel gentoo-dev 2016-12-26 21:26:44 UTC
(In reply to Torsten Veller (RETIRED) from comment #21)
> +  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> Log-Agent-0.307.ebuild:
> +  Remove LICENSE so it takes the correct from perl-module.eclass.
> 
> Why? It only mentions the Artistic license.

Log-Agent is now only Artistic-2 (correct in the ebuild).
Comment 42 Andreas K. Hüttel gentoo-dev 2016-12-27 19:14:01 UTC
(In reply to Torsten Veller (RETIRED) from comment #21)
> 
> +  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> perl-tk-804.028-r2.ebuild,
> +  perl-tk-804.028-r3.ebuild:
> +  Remove LICENSE so it takes the correct from perl-module.eclass.
> 
> perl-tk bundles a lot of tk stuff with different licenses.

Added tcltk license for Tk. 

Needs also the license for bundled Tix and the bundled Sun HTML library (both are in the tarball, need to be identified):

./pTk/Tix.license
./pTk/license.html_lib

TODO

> +  03 Feb 2010; Hanno Boeck <hanno@gentoo.org> AtExit-2.01.ebuild:
> +  Remove LICENSE so it takes the correct from perl-module.eclass.

Unfortunately that's wrong, it's "Artistic-1 or any later version" (clarified in 2.03). Fixed.
Comment 43 Andreas K. Hüttel gentoo-dev 2016-12-27 19:59:13 UTC
(In reply to Torsten Veller (RETIRED) from comment #23)
> 
> Attached is a list of dev-perl packages which only list the Artistic license.
> (It does not list packages where a later version has a different license.)
> 
> I think we should only close this bug after we reviewed all of them.
> 

Astro-SunTime-0.01: Artistic
- gone

Bio-Das-1.14: Artistic
- several POD state "perl" -> fixed

Cache-Simple-TimedExpiry-0.27: Artistic
- license is "perl", already fixed

Config-Crontab-1.20: Artistic
Config-Crontab-1.30: Artistic
- Ebuild (1.41) says "perl" but license is Artistic. Fixed. 

Crypt-Cracklib-1.1: Artistic
Crypt-Cracklib-1.2: Artistic
Crypt-Cracklib-1.4-r1: Artistic
- Ebuild (1.7) says Artistic but license is perl. Fixed.

Crypt-OpenPGP-1.03: Artistic
Crypt-OpenPGP-1.04: Artistic
- Ebuild (1.7) says Artistic, but license is perl. Fixed. 

DBD-SQLite2-0.33: Artistic
- License is perl. Already fixed.

Data-Hierarchy-0.34: Artistic
- Readme says perl. Already fixed.

Data-Random-0.05: Artistic
- License (0.12) is perl. Already fixed.
Comment 44 Andreas K. Hüttel gentoo-dev 2016-12-28 11:55:37 UTC
(In reply to Torsten Veller (RETIRED) from comment #23)
> Created attachment 218279 [details]
> Artistic only packages
> 
> (In reply to comment #22)
> > I was just grepping for the "perl itself"-clause and was happy
> > when I found it, probably too fast.
> 
> Attached is a list of dev-perl packages which only list the Artistic license.
> (It does not list packages where a later version has a different license.)
> 
> I think we should only close this bug after we reviewed all of them.
> 

Eidetic-2.003003: Artistic
- gone

Email-Abstract-2.13.2: Artistic
Email-Abstract-3.001: Artistic
- license is perl, already fixed

Email-FolderType-0.813: Artistic
- license is perl, already fixed

Encode-compat-0.07: Artistic
- license is ambiguous, mentions "same as perl", links to Artistic
  ebuild says perl, changing to Artistic as more restrictive option

Festival-Client-Async-0.0303: Artistic
- license is perl, already fixed

File-DirWalk-0.3: Artistic
- license is perl (0.4, 0.5), already fixed

File-NFSLock-1.20: Artistic
- license is perl, already fixed

File-Path-Expand-1.02: Artistic
- license is perl, already fixed

File-ReadBackwards-1.04: Artistic
- license is perl, already fixed
Comment 45 Andreas K. Hüttel gentoo-dev 2019-10-23 14:24:59 UTC
(In reply to Torsten Veller (RETIRED) from comment #23)
> 
> Attached is a list of dev-perl packages which only list the Artistic license.
> (It does not list packages where a later version has a different license.)
> 
> I think we should only close this bug after we reviewed all of them.
> 

File-Slurp-9999.13: Artistic
* License is Perl, already fixed

File-Tempdir-0.02: Artistic
* License is Perl, already fixed

File-chdir-0.1002: Artistic
* License is Perl, already fixed

Finance-YahooQuote-0.22: Artistic
* License is GPL-2+, already fixed

Font-TTF-0.45: Artistic
* License is Artistic-2, already fixed

HTML-Element-Extended-1.16: Artistic
HTML-Element-Extended-1.17: Artistic
* License is Perl, already fixed

HTML-FillInForm-2.00: Artistic
* License is Perl, already fixed

HTML-HTMLDoc-0.10: Artistic
* License is Perl, already fixed

HTML-LinkExtractor-0.13: Artistic
* License is Perl, already fixed

HTML-Object-2.15-r1: Artistic
HTML-Object-2.29: Artistic
* License is Perl, already fixed

HTML-TokeParser-Simple-3.15: Artistic
* License is Perl, already fixed

IO-Digest-0.10: Artistic
* License is Perl, already fixed

IO-Tee-0.64: Artistic
* License is Perl, already fixed

IP-Country-2.23: Artistic
IP-Country-2.27: Artistic
* gone from tree
Comment 46 Andreas K. Hüttel gentoo-dev 2019-11-08 19:45:18 UTC
(In reply to Torsten Veller (RETIRED) from comment #23)
> 
> Attached is a list of dev-perl packages which only list the Artistic license.
> (It does not list packages where a later version has a different license.)
> 
> I think we should only close this bug after we reviewed all of them.
> 

Lingua-EN-Numbers-Ordinate-1.02: Artistic
* License is Perl, already fixed

Lingua-PT-Stemmer-0.01: Artistic
* License is Perl, already fixed

Lingua-Preferred-0.2.4: Artistic
* License is || ( Artistic GPL-2+ ), already fixed

Lingua-Stem-Fr-0.02: Artistic
* License is Perl, already fixed

Lingua-Stem-It-0.02: Artistic
* License is Perl, already fixed

Lingua-Stem-Ru-0.01: Artistic
* License is Perl, already fixed

Lingua-Stem-Snowball-Da-1.01-r1: Artistic
* License is GPL-2, already fixed

LockFile-Simple-0.2.5-r1: Artistic
* License is || ( Artistic GPL-2+ ), already fixed

MD5-2.03: Artistic
* License is Perl, already fixed

MLDBM-2.01: Artistic
* License is Perl, already fixed

MP3-Tag-1.12: Artistic
* Artistic is correct

Mail-ListDetector-1.02: Artistic
* License is Perl, already fixed